XCB 1.16

Data Fields
xcb_xkb_get_map_request_t Struct Reference
XCB xkb API

xcb_xkb_get_map_request_t More...

`#include <xkb.h>`

## Data Fields
uint8_t | major_opcode
uint8_t | minor_opcode
uint16_t | length
xcb_xkb_device_spec_t | deviceSpec
uint16_t | full
uint16_t | partial
uint8_t | firstType
uint8_t | nTypes
xcb_keycode_t | firstKeySym
uint8_t | nKeySyms
xcb_keycode_t | firstKeyAction
uint8_t | nKeyActions
xcb_keycode_t | firstKeyBehavior
uint8_t | nKeyBehaviors
uint16_t | virtualMods
xcb_keycode_t | firstKeyExplicit
uint8_t | nKeyExplicit
xcb_keycode_t | firstModMapKey
uint8_t | nModMapKeys
xcb_keycode_t | firstVModMapKey
uint8_t | nVModMapKeys
uint8_t | pad0 [2]

## Detailed Description

xcb_xkb_get_map_request_t

The documentation for this struct was generated from the following file:

- xkb.h